Subject: RE: [mpls] Is it possible to create FEC with multiple/disparateprefixes ?

From: "Dutta, Pranjal" <[email-masked]>
Date: Thu, 12 May 2005 09:03:05 +0530

Hi,
        The aggregation case I was considering, if the ingress router
has a depletion of its label space or also when I am using only best
effort LSPs.
        In the first case, the ingress LSR can aggregate some FECs
(discontinuous network addresses) and map to the same Label, provided
the ingress router has the way to send aggregation info till the egress
point(That we can do with DoD signaling).
        In the second case, when I am using only best effort LSPs I
don't care about loss of granularity but only a fast switching path. You
are very right that if we aggregate discontinuous network prefixes then
we need to have static path for all those FECs, as routing protocol
might keep choosing disparate paths of the aggregated FECs depending on
the network condition.

Thanks and regards,
Pranjal

-----Original Message-----
From: Erblichs [mailto:[email-masked]] 
Sent: Wednesday, 11 May, 2005 10:18 PM
To: Dutta, Pranjal
Cc: [email-masked]
Subject: Re: [mpls] Is it possible to create FEC with
multiple/disparateprefixes ?

Pranjal, et al,

	I must be lost...

	In the simplest case, why could't a  MPLS
	domain use single FEC and a single LSP?

	 IMO, no it wouldn't be the same because you
	are not aggregating a set of discontinous 
	network addresses. It basicly is the same as a 
	static route.

	My guess, this is either a non-changing routing
	environment, or at this point in time, alternate
	routes are not available.

	You wouldn't be doing any load balancing with
	your traffic, but it would make sense if your
	MPLS domain were say transiting a single path
	satelite link.

	Mitchell Erblich
	----------------------------

> "Dutta, Pranjal" wrote:
> 
> Hi All,
> 
>                  I would like to know if it is possible to create a
> single FEC for Multiple Prefixes in the routing table and distribute
> across the domain through LDP (preferably for Down Stream Unsolicited
> Mode). One case would be when multiple prefixes that can't be
> aggregated/super netted (by the egress) follow the same path from
> ingress LSR to the egress LSR. Will it be same as FEC aggregation? If
> it is possible then how ingress LSR will know that all such disparate
> prefixes follows the same path till egress and accordingly classifies
> all of them into the same LSP.
> 
> 
> 
> 
> 
> Thanks in advance,
> 
> 
> 
> Pranjal
> 
>     ---------------------------------------------------------------
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mpls

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls